# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/solomon,ssd132x.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Solomon SSD132x OLED Display Controllers

maintainers:
  - Javier Martinez Canillas <javierm@redhat.com>

properties:
  compatible:
    enum:
      - solomon,ssd1322
      - solomon,ssd1325
      - solomon,ssd1327

required:
  - compatible
  - reg

allOf:
  - $ref: solomon,ssd-common.yaml#

  - if:
      properties:
        compatible:
          contains:
            const: solomon,ssd1322
    then:
      properties:
        width:
          default: 480
        height:
          default: 128

  - if:
      properties:
        compatible:
          contains:
            const: solomon,ssd1325
    then:
      properties:
        width:
          default: 128
        height:
          default: 80

  - if:
      properties:
        compatible:
          contains:
            const: solomon,ssd1327
    then:
      properties:
        width:
          default: 128
        height:
          default: 128

unevaluatedProperties: false

examples:
  - |
    i2c {
            #address-cells = <1>;
            #size-cells = <0>;

            oled@3c {
                    compatible = "solomon,ssd1327";
                    reg = <0x3c>;
                    reset-gpios = <&gpio2 7>;
            };

    };
  - |
    spi {
            #address-cells = <1>;
            #size-cells = <0>;

            oled@0 {
                    compatible = "solomon,ssd1327";
                    reg = <0x0>;
                    reset-gpios = <&gpio2 7>;
                    dc-gpios = <&gpio2 8>;
                    spi-max-frequency = <10000000>;
            };
    };
